<h1>Эвристика</h1>
<p>Юзабилити, как и эргономика, - это краеугольный камень взаимодействия между человеком и машиной. В 1990-х были
  описаны основополагающие принципы, помогающие оценить, что важно для удобства пользования онлайн-интерфейсами
  или программами. Эти принципы получили название "эвристик", или практических правил для оценки юзабилити продукта
  или программы. Они позволяют сэкономить время, избежать частотных проблем, предвосхитить и более эффективно исправить
  недостатки, поскольку благодаря эвристикам проще определить причину и понять комментарии UI-аналитиков по вашей
  игре.
</p>

<h2>Наиболее популярные эвристики</h2>

<h3>1. Видимость состояния системы</h3>
<p>Система должна сообщать (посредством знаков) пользователям информацию о доступных действиях, а также немедленно
  давать обратную связь о принятых командах (если не было ошибок). Напрмер, зайдя в лифт, вы видите перед собой
  кнопки с номерами этажей, куда можно поехать. Хорошей практикой с точки зрения юзабилити будет, если кнопка после
  нажатия сразу же загорится (обратная связь). Отсутствие обратной связи вызывает смятение и раздражение. Если
  сигнала нет, человек будет продолжать долбить по кнопке, не понимая, работает она или нет. Точно так же, после
  выбора пункта "начать игру" в главном меню игрок будет ожидать уведомления о загрузке.
</p>

<h3>2. Совпадение между системой и реальным миром</h3>
<p>Система должна оперировать языком и понятиями, знакомыми целевой аудитории, используя метафоры и аналогии с реальным
  миром. Например, пользователям легко понять, для чего нужны папки на компьютере, поскольку точно так же хранятся
  документы в жизни. В играх метафорой инвентаря может выступать, например, рюкзак.
</p>

<h3>3. Контроль и свобода пользователя</h3>
<p>Пользователь может ошибиться или передумать, например, совершая покупки онлайн. Возможность отменить заказ, изменить
  количество товаров в корзине или удалить ненужные позиции - всё это примеры контроля и свободы. Точно так же
  разрешайте игрокам отменять действия и менять выбор, если это возможно.
</p>

<h3>4. Единство и стандартизация</h3>
<p>Соблюдать устоявшиеся стандарты платформы важно, поскольку знакомые слова, иконки и действия помогают пользователям
  понять, как работает система. Например, функция поиска традиционно обозначается увеличительным стеклом - условность,
  которая наверняка понятна большинству пользователей. Или, скажем, кнопка "O" (круг) на контроллерах PlayStation
  обычно используется для отмены или перехода в предыдущий пункт меню.
</p>

<h3>5. Предупреждение ошибок</h3>
<p>Система должна быть разработана таким образом, чтобы не допускать ошибок пользователей. Например, перед тем как
  выполнить потенциально опасное действие вроде закрытия файла без сохранения, система должна запросить подтверждение.
</p>

<h3>6. Узнавание, а не вспоминание</h3>
<p>Чтобы минимизировать нагрузку на память пользователя, важно сделать видимыми все объекты, действия и варианты.
  Старайтесь не заставлять пользователя вспоминать в одном диалоге то, что он слышал в другом. Точно так же при
  переключении между меню у пользователя всегда должна быть возможность отследить своё местоположение на сайте или
  в приложении (так называемые "хлебные крошки").
</p>

<h3>7. Гибкость и удобство использования</h3>
<p>Давайте пользователям возможность настроить интерфейс под себя, добавляя или убирая те или иные функции.
  Например, в поисковых движках опытные пользователи могут включать фильтры. В играх возможность переназначить
  управление положительно сказывается на юзабилити и доступности.
</p>

<h3>8. Эстетика и минимализм</h3>
<p>Убирайте всё отвлекающее и несущественное. Каждая лишняя единица информации добавляет шум, который пользователю
  необходимо отфильтровать, прежде чем выделить главное и на нём сосредоточиться.
</p>

<h3>9. Помощь в распознавании, диагностике и исправлении ошибок</h3>
<p>В сообщениях об ошибках должны быть доступно и чётко описаны проблема и варианты решения.</p>

<h3>10. Помощь и документация</h3>
<p>Хотя пользоваться системой должно быть возможно и без документации, важно, чтобы в случае необходимости можно
  было обратиться к удобной и понятной помощи, скажем, контекстуальной, которую часто обозначают знаком вопроса
  в кружочке. Держать мануал не должно быть обязательным для игры; хорошим тоном будет собирать все встреченные
  советы и подсказки в одном месте, чтобы игрок всегда мог их просмотреть, если что-то забыл.
</p>

<h1>Источники</h1>
<p>Книга "Мозг игрока". Глава 11.1</p>